curl -X POST 'https://api.sendforsign.com/api/placeholder' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"placeholders": [
{
"placeholderKey": "PLACEHOLDER_KEY",
"insertion": [
{
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"id": 0,
"pageId": 0,
"width": 100,
"height": 100,
"positionX": 1,
"positionY": 1
}
]
}
]
}
}'
{
"code": 201,
"message": "Placeholder updated"
}
Placeholder
Place basic placeholder
Place a basic placeholder in a PDF contract.
POST
/
api
/
placeholder
curl -X POST 'https://api.sendforsign.com/api/placeholder' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"placeholders": [
{
"placeholderKey": "PLACEHOLDER_KEY",
"insertion": [
{
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"id": 0,
"pageId": 0,
"width": 100,
"height": 100,
"positionX": 1,
"positionY": 1
}
]
}
]
}
}'
{
"code": 201,
"message": "Placeholder updated"
}
Basic placeholders are text placeholders that can be used to fill in HTML and PDF contracts.
Additionally, they can be linked to any recipient afterward.
Before placing placeholders in a PDF, you need to create them in advance.
Body parameters
object
required
Show child attribute
Show child attribute
string
required
Action type.
string
required
Key of the client.
string
required
Key of the contract.
array
required
Array of placeholders.
Show child attribute
Show child attribute
string
required
Key of the placeholder that needs to be updated.
array
Array of places.
Show child attribute
Show child attribute
string
ID of the insertion. Provide a new ID for each insertion. If you provide the ID of an existing
placeholder, the placeholder will be updated.
string
Page number where you insert the placeholder, starting from 0.
string
Width of the placeholder.
string
Height of the placeholder.
string
Position X of the placeholder, starting from the top-left corner of the page.
string
Position Y of the placeholder, starting from the top-left corner of the page.
Response
string
The code of the answer.
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/placeholder' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"placeholders": [
{
"placeholderKey": "PLACEHOLDER_KEY",
"insertion": [
{
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"id": 0,
"pageId": 0,
"width": 100,
"height": 100,
"positionX": 1,
"positionY": 1
}
]
}
]
}
}'
{
"code": 201,
"message": "Placeholder updated"
}
⌘I